Package com.oracle.nosql.spring.data.repository.query

# Class StringBasedNosqlQuery

java.lang.Object
com.oracle.nosql.spring.data.repository.query.AbstractNosqlQuery
com.oracle.nosql.spring.data.repository.query.StringBasedNosqlQuery

All Implemented Interfaces:
  `org.springframework.data.repository.query.RepositoryQuery`

public class StringBasedNosqlQuery extends AbstractNosqlQuery
Class implements native queries that come from `Query` annotation.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StringBasedNosqlQuery(NosqlQueryMethod method, NosqlOperations dbOperations, org.springframework.data.repository.query.QueryMethodEvaluationContextProvider evaluationContextProvider)`
  `StringBasedNosqlQuery(String query, NosqlQueryMethod method, NosqlOperations dbOperations, org.springframework.data.repository.query.QueryMethodEvaluationContextProvider evaluationContextProvider)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected NosqlQuery`
  `createQuery(NosqlParameterAccessor accessor)`
  `protected boolean`
  `isCountQuery()`
  `protected boolean`
  `isDeleteQuery()`
  `protected boolean`
  `isExistsQuery()`

  ### Methods inherited from class com.oracle.nosql.spring.data.repository.query.AbstractNosqlQuery

  `execute, getQueryMethod`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StringBasedNosqlQuery

    public StringBasedNosqlQuery(NosqlQueryMethod method, NosqlOperations dbOperations, org.springframework.data.repository.query.QueryMethodEvaluationContextProvider evaluationContextProvider)

  - ### StringBasedNosqlQuery

    public StringBasedNosqlQuery(String query, NosqlQueryMethod method, NosqlOperations dbOperations, org.springframework.data.repository.query.QueryMethodEvaluationContextProvider evaluationContextProvider)

- ## Method Details

  - ### createQuery

    protected NosqlQuery createQuery(NosqlParameterAccessor accessor)
    Specified by:
      `createQuery` in class `AbstractNosqlQuery`

  - ### isDeleteQuery

    protected boolean isDeleteQuery()
    Specified by:
      `isDeleteQuery` in class `AbstractNosqlQuery`

  - ### isExistsQuery

    protected boolean isExistsQuery()
    Specified by:
      `isExistsQuery` in class `AbstractNosqlQuery`

  - ### isCountQuery

    protected boolean isCountQuery()
    Specified by:
      `isCountQuery` in class `AbstractNosqlQuery`